Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Class ZoomGUI

    java.lang.Object
      |
      +--com.vistech.imageviewer.ZoomGUI

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class ZoomGUI
extends java.lang.Object
implements java.awt.event.MouseListener

Implements a GUI for zooming an image drawn on a canvas.

Version:
  1.0 1 Nov 1999
Author:
  Lawrence Rodrigues

Field Summary
`protected static double` | `baseZoomFactor`
`protected double` | `increment`
`protected boolean` | `mousePressed`
`protected ZoomController` | `zoomController`
`protected double` | `zoomFactor`
`protected boolean` | `zoomOn`
`protected boolean` | `zoomOut`

Constructor Summary
`ZoomGUI(ZoomController c)`

Method Summary
`double` | `getZoomFactor()`
`double` | `getZoomIncrement()`
`boolean` | `getZoomOn()`
`boolean` | `getZoomOut()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `reset()`
`void` | `setZoomfactor(double mag)`
`void` | `setZoomIncrement(double incr)`
`void` | `setZoomOn(boolean onOff)`
`void` | `setZoomOut(boolean outIn)`
`void` | `zoom(int x, int y, double zoomfact)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zoomController

    protected ZoomController zoomController

### baseZoomFactor

    protected static final double baseZoomFactor

### zoomOn

    protected boolean zoomOn

### zoomFactor

    protected double zoomFactor

### increment

    protected double increment

### zoomOut

    protected boolean zoomOut

### mousePressed

    protected boolean mousePressed

Constructor Detail

### ZoomGUI

    public ZoomGUI(ZoomController c)

Method Detail

### setZoomOn

    public void setZoomOn(boolean onOff)

### getZoomOn

    public boolean getZoomOn()

### setZoomOut

    public void setZoomOut(boolean outIn)

### getZoomOut

    public boolean getZoomOut()

### setZoomfactor

    public void setZoomfactor(double mag)

### getZoomFactor

    public double getZoomFactor()

### setZoomIncrement

    public void setZoomIncrement(double incr)

### getZoomIncrement

    public double getZoomIncrement()

### zoom

    public void zoom(int x,
                     int y,
                     double zoomfact)

### reset

    public void reset()

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD